Bug 490138 - Volume addjusting step sizes are incoherent. And too small when using hotkeys.
Volume addjusting step sizes are incoherent. And too small when using hotkeys.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 10:13 EDT by JanS
Modified: 2009-07-14 11:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JanS 2009-03-13 10:13:17 EDT
Description of problem:

When adjusting volume in different ways, volume changes by different step.

For example we can change volume by hotkeys (multimedia keys on keyboard), by mouse wheel above mixer applet in Gnome, or when slider of mixer applet is opened we can use arrows or mouse whell.
All this scenarios give different volume jumps.

I made table, how many addjustments one need to increase volume from 0 to 100%:
laptop multimedia keys     -  16
mouse wheel on slider      -  13
mouse wheel on applet      -  25
arrows when slider focused -  25
PgUp when slider focused   -  10

Particulary annoying thing is that both laptop multimedia keys and mouse wheel above slider give such a big jumps in volume. Once it is too loud, and after pressing volume down key, it is too silent.

I would like to have at least 25 volume positions for hotkesys, it is somehow minimal precision which is not annoying.


Laptop multimedia keys are managed by gnome-keybinding-properties (Keyboadr Shortcuts) with XF86AudioLowerVolume and XF86AudioRaiseVolume.

I know that in Fedora 10 same problem exists. Especialy with multimedia keys in laptops.


Version-Release number of selected component (if applicable):
control-center-2.22.2.1-1.fc9.x86_64
kernel-2.6.27.19-78.2.30.fc9.x86_64


Steps to Reproduce:
0. try to adjust volume to have music not too loud and not too silent
1. use multimedia keys to adjust volume and listen
2. use mouse wheel above mixer applet
3. use mouse wheel above slider of mixer applet
4. use keyboard arrows
5. listen how volume changes

Actual results:
volume jumps in big steps when using hotkeys and mouse wheel. It needs full focus and devotion from the user to adjust volume properly.

Expected results:
Adjusting volume is coherent and simple. No one needs to be worried of the outcome. 

Additional info:
HP nx7400
Comment 1 Bug Zapper 2009-06-09 23:36:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:07:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.